Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoFeature Class Reference
GoSdk

## Description

Represents the base class for a tool Feature or script output.

Inherits kObject.

Inherited by GoProfileAreaCenterPoint, GoProfileBoundingBoxCenterPoint, GoProfileBoundingBoxCornerPoint, GoProfileCircleCenterPoint, GoProfileDimensionCenterPoint, GoProfileIntersectBaseLine, GoProfileIntersectIntersectPoint, GoProfileIntersectLine, GoProfileLineLine, GoProfileLineMaxErrorPoint, GoProfileLineMinErrorPoint, GoProfilePanelLeftFlushPoint, GoProfilePanelLeftGapPoint, GoProfilePanelRightFlushPoint, GoProfilePanelRightGapPoint, GoProfilePositionPoint, GoProfileRoundCornerCenterPoint, GoProfileRoundCornerEdgePoint, GoProfileRoundCornerPoint, GoSurfaceBoundingBoxCenterPoint, GoSurfaceCountersunkHoleCenterPoint, GoSurfaceDimensionCenterPoint, GoSurfaceEdgeCenterPoint, GoSurfaceEdgeEdgeLine, GoSurfaceEllipseCenterPoint, GoSurfaceEllipseMajorAxisLine, GoSurfaceEllipseMinorAxisLine, GoSurfaceHoleCenterPoint, GoSurfaceOpeningCenterPoint, GoSurfacePlanePlane, GoSurfacePositionPoint, GoSurfaceStudBasePoint, and GoSurfaceStudTipPoint.

## Public Member Functions
kStatus | GoFeature_ClearId (GoFeature feature)
| Clears the assigned ID for the given Feature. More...
GoFeatureDataType | GoFeature_DataType (GoFeature feature)
| Gets the feature data type for the given feature. More...
kStatus | GoFeature_Enable (GoFeature feature, kBool enable)
| Enables the given feature for output. More...
kBool | GoFeature_Enabled (GoFeature feature)
| Returns a boolean value representing whether the given feature is enabled. More...
kBool | GoFeature_HasId (GoFeature feature)
| Returns whether or not the given Feature has a valid ID assigned to it. More...
k32s | GoFeature_Id (GoFeature feature)
| Gets the ID for the given feature. More...
const kChar * | GoFeature_Name (GoFeature feature)
| Gets the name for the given feature. More...
kStatus | GoFeature_SetId (GoFeature feature, k32u id)
| Sets an ID number for the given Feature. More...
kStatus | GoFeature_SetName (GoFeature feature, const kChar *name)
| Sets the name for the given feature. More...
kObject | GoFeature_SourceTool (GoFeature feature)
| Returns the source tool of the given feature. More...
const kChar * | GoFeature_Type (GoFeature feature)
| Gets the feature type for the given feature. More...
GoFeatureType | GoFeature_TypeId (GoFeature feature)
| Gets the feature type id for the given feature. More...

The documentation for this class was generated from the following file:

- Tools/GoFeature.h